Skip to main content
PATCH
/
api
/
reason_codes
/
{id}
Update a reason code
curl --request PATCH \
  --url https://clarus-api.com/api/reason_codes/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "data": {
    "type": "reason_codes",
    "attributes": {
      "code": "ADJ-NEG-01",
      "name": "Damaged in transit",
      "description": "Negative stock adjustment for damaged goods",
      "reason_type": "negative_adjustment",
      "active": true,
      "generic": false
    }
  }
}
'
{
  "data": {
    "id": "1",
    "type": "reason_codes",
    "attributes": {
      "code": "ADJ-NEG-01",
      "name": "Damaged in transit",
      "description": "Negative stock adjustment for damaged goods",
      "reason_type": "negative_adjustment",
      "active": true,
      "generic": false
    }
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Path Parameters

id
integer
required

The unique identifier of the reason code

Body

application/json
data
object
required

Response

Updated successfully

The response is of type object.